Subject: Re: [MIB-DOCTORS] SNMP for the STD for IETF standards EU procurement platform

From: Andrei Robachevsky <[email-masked]>
Date: Fri, 1 Aug 2014 16:05:59 +0200

Bert,

This is very useful feedback, thank you. Juergen, thank you very much, too.

I am copying Olaf so we are on the same page.

Thanks,

Andrei

Bert Wijnen (IETF) wrote on 30/07/14 15:23:
> Andrei, not sure if I correctly formulated the $subject.
> Pls correct if needed.
> 
> So you had a set of SNMP standards that you would want to include.
> 
> It is probably best to include MIB doctors in the discussion.
> AS I said, a set of base/always-present MIB modules should probably
> also be included. I remember that we did define such a set several years
> back
> when we worked together with ITU SG4 and other organizations to try and
> define a list of applicable standards work in the various bodies.
> Unfortunately I cannot quickly fin that list. I am sure there are MIB
> doctors on the list that have the ptrs handy.
> 
> Also, the IETF OPS ADs may want to be onvolved in this.
> 
> Comments on the list that you did send to me;
> 
> On 24/07/14 17:08, Andrei Robachevsky wrote:
>> RFC    TITLE   
>>       Base Spec Boolean    Rationale
>> 2578    Structure of Management Information Version 2 (SMIv2)
>     0    STD58, Data definition language
>> 2579    Textual Conventions for SMIv2
>     0    STD58, Data definition language
>> 2580    Conformance Statements for SMIv2
>     0    STD58, Data definition language
> 
> About the above 3:
> As I said verbally to you, I am not sure that the data modeling language
> itself is something that governments would use themselves. So not sure
> if it
> is useful to include them.
> 
>> 3412    Message Processing and Dispatching for the Simple Network
>> Management Protocol (SNMP)
>>     1    STD62
>> 3413    Simple Network Management Protocol (SNMP) Applications
>     1    STD62
>> 3414    User-based Security Model (USM) for version 3 of the Simple
>> Network Management Protocol (SNMPv3)
>>     1    STD62, v3 security features
>> 3415    View-based Access Control Model (VACM) for the Simple Network
>> Management Protocol (SNMP)
>>     1    STD62, v3 security features
>> 3416    Version 2 of the Protocol Operations for the Simple Network
>> Management Protocol (SNMP)
>>     1    STD62, Describes SNMPv2 (this is also the protocol operations
>> used in SNMPv3)
>> 3417    Transport Mappings for the Simple Network Management Protocol
>> (SNMP)
>>     1    STD62
>> 3418    Management Information Base (MIB) for the Simple Network
>> Management Protocol (SNMP)
>>     1    STD62
>>
> 
> I think (as I experssed verbally) that I would also include a base set
> of MIB modules,
> after all, it makes no sense to have SNMP if you do not have MIB modules.
> The list should probably include
> 
> - RFC2863, IF-MIB
> - RFC6933, ENTITY-MIB
> 
> but probably many more. There is a list at
>     http://www.simpleweb.org/ietf/rfcs/rfcbynumber.php
> or maybe even better
>     http://www.simpleweb.org/ietf/rfcs/rfcbystatus.php#Draft%20standard
> 
> that lists a lot of them. Not all are relevant or must-be-present MIB
> modules though.
> 
> MIB doctors, does anyone of you have a handy ptr to the list that we
> normally promote
> as needed/useful? I thought we used to have that also at the
> ops.ietf.org page,
> but I do not see it on the current page.
> 
> Andrei,
> I think it is also important to say something about the fact tht these
> days we (IETF)
> promote MIB modules and SNMP for monitoring or traps.
> But for configuration, we now promote NETCONF. See IESG statement:
>     http://www.ietf.org/iesg/statement/writable-mib-module.html
> 
> Bert
>

---

From: "ietfdbh" <[email-masked]>
Date: Wed, 13 Aug 2014 14:27:56 -0400

Hi,

Since SNMP is included in the discussion, the MIB modules for monitoring
SNMP should be included in the list of relevant MIB modules, some of which
are MUST-haves.

David Harrington
[email-masked]
+1-603-828-1401

> -----Original Message-----
> From: MIB-DOCTORS [mailto:[email-masked]] On Behalf Of
> Juergen Schoenwaelder
> Sent: Wednesday, July 30, 2014 9:50 AM
> To: Bert Wijnen (IETF)
> Cc: MIB Doctors; Andrei Robachevsky
> Subject: Re: [MIB-DOCTORS] SNMP for the STD for IETF standards EU
> procurement platform
> 
> On Wed, Jul 30, 2014 at 03:23:17PM +0200, Bert Wijnen (IETF) wrote:
> > normally promote as needed/useful? I thought we used to have that
> > also at the ops.ietf.org page, but I do not see it on the current
> > page.
> 
> I think coverage of the IP stack is generally a good thing. This means
> typically the IP-MIB [RFC 4293], the IP-FORWARD-MIB [RFC 4292], the
> UDP-MIB [RFC 4113], and the TCP-MIB [RFC 4022].
> 
> The rest is I believe more or less is device class specific.
> 
> - Devices having Ethernet interfaces may want to support the relevant
>   MIB modules (which are now under IEEE control, not sure it makes
>   sense to list to the old IETF specifications).
> 
> - Devices that are managed hosts (desktop but more typically servers)
>   may want to support that HOST-RESOURCES-MIB [RFC 2790].
> 
> - Ethernet switches should implement one of the bridge MIB modules,
>   they are meanwhile under IEEE control.
> 
> - IP routers likely should support MIB modules corresponding to the
>   routing protocol(s) supported and the interface types supported.
> 
> /js
> 
> --
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 14 Aug 2014 06:58:47 +0200

> SNMP should be included in the list of relevant MIB modules, some of which

David,

looking at the whole thread, which ones do you think have been left
out?

/js

---

From: "David Harrington" <[email-masked]>
Date: Thu, 14 Aug 2014 12:48:36 -0400

I don't know if I've seen the whole thread.
I have seen those parts of the thread sent to the MIB-DOCTORS list.
As I understand the (incomplete) thread, this is trying to identify a
recommended set of RFCs for SNMP support.
The thread doesn't say for what specific purpose this will be used.

The  incomplete thread mentions 3412-3418, but mostly as a discussion of the
protocol, and then says you should also consider some base MIBs, such as IF
and Entity MIBs.
It doesn't explicitly mention the MIB modules contained in RFC3412-18.

No mention is made of the ISMS extensions to SNMPv3 - RFCs 5590-5592, 6353,
5343.
Given that operators wanted SNMP to operate within their existing security
environment, those might be worth mentioning.

Can you describe the purpose of gathering this list?
The MIB Doctors might be better able to recommend things if they knew what
it was for.

David Harrington
[email-masked]
+1-603-828-1401
> Sent: Thursday, August 14, 2014 12:59 AM
> To: ietfdbh
> Cc: 'MIB Doctors'; 'Andrei Robachevsky'

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 14 Aug 2014 19:06:13 +0200

The first email that went to MIB doctors had details and included RFC
3412-18. It is often useful to know the context before making
recommendations.

Yes, ISMS extensions were created to address operator concerns about
USM key management. That does not mean the ISMS solution got widely
deployed by operators. (I would be more than happy to be corrected
by operators here.)

/js

---

From: Andrei Robachevsky <[email-masked]>
Date: Mon, 18 Aug 2014 15:18:38 +0200

Hi David,

Thank you for your feedback and apologies for not supplying the context.

The purpose of this effort is to support the recognition of technical
specifications developed by global ICT Fora and Consortia, IETF being
one of them, for the EU policy and procurement purposes. More
information about this initiative is here:
http://ec.europa.eu/digital-agenda/en/european-multi-stakeholder-platform-ict-standardisation

Olaf Kolkman (cc-ed) and I are the 2 IETF representatives appointed by
the IAB to serve on that platform. The objective is to increase the
visibility and relevance of the IETF specifications in this area.

This is a fairly new effort, so we are still trying to find the right
balance between the completeness of the protocol specification and a
reasonable set of RFCs providing a reasonable assurance of interoperability.

Perhaps a simplified question that we are trying to answer here is: What
is a minimum set of specifications that a vendor must implement to be
able to say in this context that it is SNMP compliant?

Andrei

---

From: Andrei Robachevsky <[email-masked]>
Date: Mon, 25 Aug 2014 10:10:01 +0200

David,

> environment, those might be worth mentioning.

So, within the context below, if someone were to procure equipment with
general SNMP support (i.e. not having specific network management
requirements), would you recommend including the above mentioned RFCs in
the set of requirements? Are these a must have or a nice to have?

We also included the whole RFC3412-18 set as a must have, does it make
sense?

Thanks,

Andrei